***

title: get
slug: /reference/typescript/rest/fabric/sip-gateways/get
description: Retrieve a single SIP gateway resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve a single SIP gateway resource.

<EndpointSchemaSnippet endpoint="GET /api/fabric/resources/sip_gateways/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/fabric/resources/sip_gateways/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const gateway = await client.fabric.sipGateways.get("gateway-id");
console.log("Sip Gateway:", gateway.display_name, "ID:", gateway.id);
```